Qt Utilities: QtUtilities::NotificationImage Struct Reference

Qt Utilities 6.21.2 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
QtUtilities::NotificationImage Struct Reference

The NotificationImage struct is a raw data image format. More...

Inheritance diagram for QtUtilities::NotificationImage:
[legend]
Collaboration diagram for QtUtilities::NotificationImage:
[legend]

## Public Member Functions
| NotificationImage ()
| NotificationImage (SwappedImage image)
QImage | toQImage () const
QVariant | toDBusArgument () const

## Static Public Member Functions
static NotificationImage | fromDBusArgument (const QVariant &variant)

## Public Attributes
qint32 | width
qint32 | height
qint32 | rowstride
bool | hasAlpha
qint32 | channels
qint32 | bitsPerSample
QByteArray | data
bool | isValid

## Detailed Description

The NotificationImage struct is a raw data image format.

It describes the width, height, rowstride, has alpha, bits per sample, channels and image data respectively.

Definition at line 67 of file dbusnotification.cpp.

## Constructor & Destructor Documentation

## ◆ NotificationImage() [1/2]

QtUtilities::NotificationImage::NotificationImage | ( |  | ) |
| inline

Definition at line 103 of file dbusnotification.cpp.

## ◆ NotificationImage() [2/2]

QtUtilities::NotificationImage::NotificationImage | ( | SwappedImage | image | ) |
| inline

Definition at line 108 of file dbusnotification.cpp.

## Member Function Documentation

## ◆ fromDBusArgument()

NotificationImage QtUtilities::NotificationImage::fromDBusArgument | ( | const QVariant & | variant | ) |
| inlinestatic

Definition at line 148 of file dbusnotification.cpp.

## ◆ toDBusArgument()

QVariant QtUtilities::NotificationImage::toDBusArgument | ( |  | ) | const
| inline

Definition at line 143 of file dbusnotification.cpp.

## ◆ toQImage()

QImage QtUtilities::NotificationImage::toQImage | ( |  | ) | const
| inline

Definition at line 136 of file dbusnotification.cpp.

## Member Data Documentation

## ◆ bitsPerSample

qint32 QtUtilities::NotificationImage::bitsPerSample

Definition at line 79 of file dbusnotification.cpp.

## ◆ channels

qint32 QtUtilities::NotificationImage::channels

Definition at line 78 of file dbusnotification.cpp.

## ◆ data

QByteArray QtUtilities::NotificationImage::data

Definition at line 80 of file dbusnotification.cpp.

## ◆ hasAlpha

bool QtUtilities::NotificationImage::hasAlpha

Definition at line 77 of file dbusnotification.cpp.

## ◆ height

qint32 QtUtilities::NotificationImage::height

Definition at line 75 of file dbusnotification.cpp.

## ◆ isValid

bool QtUtilities::NotificationImage::isValid

Definition at line 81 of file dbusnotification.cpp.

## ◆ rowstride

qint32 QtUtilities::NotificationImage::rowstride

Definition at line 76 of file dbusnotification.cpp.

## ◆ width

qint32 QtUtilities::NotificationImage::width

Definition at line 74 of file dbusnotification.cpp.

The documentation for this struct was generated from the following file:

- misc/dbusnotification.cpp